Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.tooling.model.eclipse
[Java] Interface HierarchicalEclipseProject

    org.gradle.plugins.ide.idea.model.Project
      org.gradle.tooling.model.eclipse.HierarchicalEclipseProject
          org.gradle.tooling.model.HierarchicalProject

All Superinterfaces:
  Project, HierarchicalProject

    public interface HierarchicalEclipseProject
    extends HierarchicalProject

Represents the basic information about an Eclipse project.

Field Summary

Fields inherited from class org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject
__timeStamp, __timeStamp__239_neverHappen1311842562583, __timeStamp, __timeStamp__239_neverHappen1311842562304

Fields inherited from class org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject
__timeStamp, __timeStamp__239_neverHappen1311842562304

Method Summary
`DomainObjectSet` | `getChildren()` {@inheritDoc}
`DomainObjectSet` | `getLinkedResources()` Returns the linked resources for this project.
`HierarchicalEclipseProject` | `getParent()` {@inheritDoc}
`DomainObjectSet` | `getProjectDependencies()` Returns the project dependencies for this project.
`DomainObjectSet` | `getSourceDirectories()` Returns the source directories for this project.

Methods inherited from interface HierarchicalProject
getChildren, getParent

Methods inherited from class Project
configure, equals, getDefaultResourceName, hashCode, load, store

Methods inherited from class org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject
org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#load(java.io.InputStream), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#store(java.io.OutputStream), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#__, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#this, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#this, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#this, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#getXml(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#setProperty(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#getProperty(java.lang.String), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#load(java.io.File), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#store(java.io.File), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#getMetaClass(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#this, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#this, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#this, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#setMetaClass(groovy.lang.MetaClass), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#invokeMethod(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#loadDefaults(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#wait(long), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#wait(long, int), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#wait(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#equals(java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#toString(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#hashCode(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#getClass(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#notify(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#notifyAll()

Methods inherited from class org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject
org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#setProperty(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#getProperty(java.lang.String), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#load(java.io.File), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#load(java.io.InputStream), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#store(java.io.File), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#store(java.io.OutputStream), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#getMetaClass(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#this, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#this, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#this, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#setMetaClass(groovy.lang.MetaClass), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#invokeMethod(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#__, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#loadDefaults(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#wait(long), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#wait(long, int), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#wait(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#equals(java.lang.Object), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#toString(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#hashCode(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#getClass(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#notify(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getChildren

    public DomainObjectSet getChildren()

  {@inheritDoc}

### getLinkedResources

    public DomainObjectSet getLinkedResources()

  Returns the linked resources for this project.
  Returns:
    The linked resources.

### getParent

    public HierarchicalEclipseProject getParent()

  {@inheritDoc}

### getProjectDependencies

    public DomainObjectSet getProjectDependencies()

  Returns the project dependencies for this project.
  Returns:
    The project dependencies. Returns an empty set if the project has no project dependencies.

### getSourceDirectories

    public DomainObjectSet getSourceDirectories()

  Returns the source directories for this project.
  Returns:
    The source directories. Returns an empty set if the project has no source directories.

Groovy Documentation